#define XERR
#include "handler.ih"

void Handler::sections(ostream &out, string &line, string const &key)
{
    size_t pos = line.find(key);        // line contains ${SECTIONS} ?
    if (pos == string::npos)
        return;                         // no.

    out << line.substr(0, pos);         // write the line up to the key
    line.erase(0, pos + key.length());

                                        // insert the order.txt files into the
                                        // pdf
    Sections sections{ out, d_zipCheck.orderTxtMap() };
    sections.insert();
}
